Problema ao instalar alguns flatpaks no mint

Alguém sabe resolver esse problema?

Agradeço desde já!

3 Curtidas

Abra o terminal de utilize o comando:

sudo ostree fsck --repo /var/lib/flatpak/repo --delete

E tente instalar novamente.

2 Curtidas

Baixa direto do site, geralmente essas IDEs que eles coloca na loja das distros vem tudo bugado, vscode e netbeans é uma delas.

É só baixa, descompacta, entra na pasta bin e executa o arquivo “phpstorm.sh”

1 Curtida

Eita, o Flatpak quebrou… ainda se autoproclamam “o futuro dos apps no Linux”…

1 Curtida

Depois de fazer o que o @Miura disse faça:

flatpak install "org.freedesktop.Platform//19.08" -y

Que você não vai ter encrenca por um bom tempo se o problema for no seu PC

sudo: ostree: comando não encontrado

deu isso aqui amigo

Executa esse comando, mas pelo erro já devia estar instalado

sudo apt install ostree -y

Tipo, o problema é que sempre que eu quiser executar ele denovo vou ter que abrir o phpstorm.sh, daí não tem como eu adicionar um atalho decente na dock

Dá esse erro aqui:

erro: REMOTO e REF devem ser especificados
1 Curtida

Você pode cria um atalho manualmente.
Da uma olhada nesse link no passo 4 em diante que vai te ensina:

Ou esse link que acho mais fácil:


Preste atenção que ele renomeou o nome da pasta antes de seguir, então olha o nome da sua pasta antes de prosseguir e recomendo manter o mesmo arquivo que você já tem baixado.

1 Curtida

Beleza, vou tentar aqui, valeu!!

Beleza, fiz o comando aí, como exatamente eu instalo denovo? :sweat_smile:

Abra o terminal:

flatpak update

e tente instalar

flatpak install flathub com.jetbrains.PhpStorm

Ah é, eu esqueci, seu flatpak não tem minhas adaptações:

flatpak install flathub "org.freedesktop.Platform//19.08" -y

Não é isso que a loja do Mint faz só que gui?

Esse aqui deu certo, mas ainda resta uma dúvida, como eu faço isso aqui:

No mais acho que depois disso tudo vou é desistir dos flatpaks msm :confused:

1 Curtida

O flatpak usa um modelo de versionamento similar ao git chamado ostree, o comando que o @Miura passou faz o seguinte:

Comando O que ele faz
sudo => Executa como root
ostree => o ostree
fsck => verificando o sistema de arquivos
–repo => tratando como um repositório
/var/lib/flatpak/repo => a pasta onde o flatpak baixa os arquivos
–delete => apagando arquivos defeitosos

Você só precisa executar ele

Depois você executa o que o @fastos2016 disse:

flatpak install flathub com.jetbrains.PhpStorm 

Ao fazer o que eu disse você só precisa executar ele e reinstalar pela loja, ele já conserta a bagunça no espelho do repositório no seu PC e evita mais bagunça já que ele puxa vários arquivos que são necessários para vários runtimes


Na minha visão, é uma boa…

1 Curtida